Subject: Re: Suggestion: "man git clone"

From: Federico Lucifredi <[email-masked]>
Date: Thu, 21 Aug 2008 20:07:56 -0400

H. Peter Anvin wrote:
> Federico Lucifredi wrote:

[...]

>>  I am open to ideas, but so far the two options above are better than 
>> anything else that has been so far suggested...
>>
> 
> One option would be to support "man foo bar" showing the page labelled 
> foo-bar.  That way you'd get at least a modicum of bass-ackwards 
> compatibility.

I am all for bass-ackwards compatibility, and I think the suggestion of 
going on "man foo bar" :

  1) look for foo-bar; if success, terminate search
  2) look for foo
  3) look for bar
  ....

may be acceptable - I don't see drawbacks at a first glance, and it 
would allow for groups of pages to be meaningful.

Are you willing to put your patch where your mouth is? :-)

  Best -F
> 
> However, at some point we have to be willing to do things other 
> platforms won't, or we'll never do anything new...
> 
>     -hpa

-- 
_________________________________________
-- "'Problem' is a bleak word for challenge" - Richard Fish
(Federico L. Lucifredi) - [email-masked]